/**
 * 工单处理（结束）
 * */

$(document).ready(function() {
	autosize($('textarea'));
	var ID = helper.request.queryString("oid"); //工单ID
	if(ID) {
		getWorkOrderInfo(ID);
	}
	
	//点击确定
	$("#clgd").click(function() {
		if(!$("#cont").val()) {
			layer.confirm('请输入处理内容！', {
				icon: 2,
				btn: ['确定']
			});
			return;
		}
		dealWorkOrder(ID);
	});

})

$('#Depth').find('input[type="radio"]').on('change', function() {
			if($(this).val() == "0") { //业务办理
				$('#F_Address,#F_Address').show();
			}else{
				$('#F_Address,#F_Address').hide();
			}
		});

//获取工单信息
function getWorkOrderInfo(oid) {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "WorkOrderNew/GetDetails",
		async: true,
		dataType: 'json',
		data: {
			id: oid,
			token: $.cookie("token")
		},
		success: function(data) {
			/*验证请求*/
			if(data.state == "success") {
				var Str = data.rows;
				if(Str && Str.length > 0) {
					$('#cl_gdbh').text(Str[0].F_WorkOrderCode); //工单编号
					$("#cl_gdlx").text(Str[0].F_TypeName); //工单类型
					$("#xq_source").text(Str[0].F_SourceName); //工单来源
					// $("#xq_handle").text(Str[0].YWLXName); //业务办理
					$("#cl_khxm").text(Str[0].F_CusName); //姓名
					$("#cl_khdh").text(helper.filter.cutTel(Str[0].F_CusPhone)); //电话
					$("#cl_gdn").text(Str[0].F_DeptName); //部门
					$('#cl_gdnr').text(decodeURIComponent(Str[0].Detail));
					
					if($("#cl_gdlx").text()=="抽检"){	
				       if($("#cl_gdn").text()=="市场管理科"){
						  $("#abcde").show(); 
						  $("#abc").hide();
					   }
					}else if($("#cl_gdlx").text()=="投诉"){
						   if($("#cl_gdn").text()=="市场管理科"){
							   $("#abc").show();
							    $("#abcde").hide(); 
						   }
					}else if($("#cl_gdlx").text()=="咨询"){
						   if($("#cl_gdn").text()=="市场管理科"){
							   $("#ccc").show();
							    $("#ddd").hide(); 
						   }
					}
					   
					   
					if($("#cl_gdlx").text()=="抽检"){
					   if($("#cl_gdn").text()=="质量管理部"){
						  $("#abcdef").show(); 
						  $("#abcde").hide();
						  $("#shicon").hide();
					   }
					}else if($("#cl_gdlx").text()=="投诉"){
						   if($("#cl_gdn").text()=="质量管理部"){
							   $("#abcd").show();
							   $("#abc").hide(); 
							   $("#shicon").show();
						   }
					 }else if($("#cl_gdlx").text()=="咨询"){
						   if($("#cl_gdn").text()=="质量管理部"){
							   $("#ddd").show();
							   $("#ccc").hide(); 
							   $("#shicon").show();
						   }
					   }
					//微信内文件（暂时不用）
					var Files = Str[0].Files;
					if(Files) {
						var a;
						var b;
						$(Files).each(function(i, n) {
							a = n.F_FileType.split("\/")[0];
							b = n.F_FileName.split(".")[1];
//							console.log(a);
							if(a == 'image') {
								$('<div class="img-box"><a href="+' + n.F_FileUrl + '" download="' + n.F_FileName + '"><img src="' + n.F_FileUrl + '" alt="" class="image-item"  data-preview-group="1" /><span class="">' + b + '</span></a><div>').appendTo(".space");
							} else {
								$('<div class="img-box "><a href="+' + n.F_FileUrl + '" download="' + n.F_FileName + '"><span class="">' + b + '</span></a><div>').appendTo(".space");
							}

						})
					}

				}
			}
		}
	});
}
$(function(){
   $("#duoxuan").on("click",function(){
      var ichk=$("input:checkbox:checked").map(function(){
         return $(this).val();
      }).get().join(",");
	  $("#txtServerType").val(ichk);
		// alert($("#txtServerType").val())
   })
})

$('#yijian').find('input[type="radio"]').on('change', function() {
			if($(this).val() == "不同意") { //业务办理
				$('#nrr,#ytt').show();
			}else{
				$('#nrr,#ytt').hide();
			}
});
$('#buchang').find('input[type="radio"]').on('change', function() {
			if($(this).val() == "钱款") { //业务办理
				$('#mction,#mcttic').show();
			}else{
				$('#mction,#mcttic').hide();
			}
});


//获取工单类型
function getTypeName(val) {
	var str = '';
	switch(val + '') {
		case '107':
			str = "咨询";
			break;
		case '108':
			str = "投诉";
			break;
	}
	return str;
}

//处理
function dealWorkOrder(oid) {
	var isDetail = helper.request.queryString("isDetail"); //是否是详情页面的处理
	$.post(huayi.config.callcenter_url + 'WorkOrderNew/DealWorkOrder', {
		orderid: oid, //否	strubg	工单ID
		isover: $("input[name='isoverOptions']:checked").val(), //是否完结 0否，1是
		cont: $("#cont").val(), //否	处理内容	
		ProductBase: $("#zhibao").val(),
		// isvisit: $("#huifangisvisit").val(),
		QualityEventLevel: $("#cat").val(),
		shenpi:$("#shenpi").val(),
		ClaimAmount:$("#cataa").val(),
		ResponsibleUnit: $("#txtServerType").val(),	
		ApprovalOpinions: $("input[name='tong']:checked").val(),
		ApprovalDisagree: $("#butong").val(),
		CompensationMethod:$("input[name='buchan']:checked").val(),
		CompensationMoney: $("#bcqkun").val(),
		CResponsibleUnits: $("#danwei").val(),
		Fquantity: $("#shuliang").val(),
		ImprovementRequirements: $("#yaoqiu").val(),
		CApprovalNo: $("#danhao").val(),
		ProductBase: $("#chou").val(),
		uncont: $("#wclyy").val(),//未处理原因
		isvisit: $("#huifang").find('input[type="radio"]:checked').val(),
		IsRecord: $("#gongzuol").find('input[type="radio"]:checked').val(),
		// QualityMonth:
	
		token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			if(isDetail === "true") {
				parent.parent.layer.closeAll();
				parent.parent.$('#orderlist').bootstrapTable('refresh');
				parent.parent.layer.msg("工单结单成功！");
			} else {
				var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
				parent.layer.close(index); //再执行关闭
				parent.$('#workorderlist').bootstrapTable('refresh');
				parent.$('.Closed').trigger('click');
				parent.layer.msg("工单结单成功！");
			}
			top.workcount();
		}
	})
}

// $('#gdxq_').find('input[type="radio"]').on('change', function() {
// 			if($(this).val() == "0") { //业务办理
// 				$('#wclyy').show();
// 			}else{
// 				$('#wclyy').hide();
// 			}
// 		});
$("#gdxq_").click(function(){
  $("#F_Address").show();
});

$(document).ready(function () {
            var wid = helper.request.queryString("wid");
		 // CPZL($("#zhibao"));//产品种类
		 SCSCJD($("#zhibao"));//初审意见
		 ZLSJDJ($("#cat"));//质量事件等级
		 ZLSJDJ($("#dengji"));//质量事件等级
		 ZLZRDW($("#cataa"));//责任单位
		 ZLZRDW($("#danwei"));//责任单位
		 SCSCJD($("#chou"));//责任单位SCSCJD
		 WCLYY($("#wclyy"));//责任单位SCSCJD
		 SCCS($("#chushen"));//初审意见
	
});

function WCLYY(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"WCLYY",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}
function SCSCJD(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"SCSCJD",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}
function SCCS(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"SCCS",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}
function ZLZRDW(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"ZLZRDW",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}
function ZLSJDJ(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"ZLSJDJ",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}

